# Copyright © 2016, 2018-2019, 2022 Nick Bowler
# License GPLv3+: GNU General Public License version 3 or any later version.
# This is free software: you are free to change and redistribute it.
# There is NO WARRANTY, to the extent permitted by law.

EAPI=8

inherit gnome2 cmake

DESCRIPTION="Evolution module for connecting to Microsoft Exchange"
HOMEPAGE="https://wiki.gnome.org/Apps/Evolution"

LICENSE="LGPL-3"
KEYWORDS="~amd64"
SLOT="0"

RDEPEND=">=gnome-extra/evolution-data-server-$PV:0=
	>=mail-client/evolution-$PV:2.0
	>=net-libs/libmapi-2
	dev-libs/libical:="

DEPEND="$RDEPEND
	virtual/pkgconfig"

src_prepare () {
	cmake_src_prepare

	# Both cmake-utils_src_prepare and gnome2_src_prepare call default, which
	# means patches get applied twice and that doesn't end well.  So redefine
	# default to do nothing here, since it's already been run...
	default () { :; }
	gnome2_src_prepare
}
